% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/set.R
\name{set_max_rides}
\alias{set_max_rides}
\title{Set max number of rides}
\usage{
set_max_rides(r5r_core, max_rides)
}
\arguments{
\item{r5r_core}{An object to connect with the R5 routing engine, created with
\code{\link[=setup_r5]{setup_r5()}}.}

\item{max_rides}{A number. The max number of public transport rides allowed
in the same trip. Passed from routing function.}
}
\value{
No return value, called for side effects.
}
\description{
Sets the maximum number of rides a trip can use in R5.
}
\seealso{
Other setting functions: 
\code{\link{set_breakdown}()},
\code{\link{set_cutoffs}()},
\code{\link{set_expanded_travel_times}()},
\code{\link{set_fare_cutoffs}()},
\code{\link{set_fare_structure}()},
\code{\link{set_max_fare}()},
\code{\link{set_max_lts}()},
\code{\link{set_monte_carlo_draws}()},
\code{\link{set_n_threads}()},
\code{\link{set_output_dir}()},
\code{\link{set_percentiles}()},
\code{\link{set_progress}()},
\code{\link{set_speed}()},
\code{\link{set_suboptimal_minutes}()},
\code{\link{set_time_window}()},
\code{\link{set_verbose}()}
}
\concept{setting functions}
\keyword{internal}
