% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/stop_r5.R
\name{stop_r5}
\alias{stop_r5}
\title{Stop running r5r core}
\usage{
stop_r5(...)
}
\arguments{
\item{...}{\code{r5r_core} objects currently running. By default, if no cores
are supplied all running cores are stopped.}
}
\value{
No return value, called for side effects.
}
\description{
Stops running r5r cores.
}
\examples{
\dontshow{if (identical(tolower(Sys.getenv("NOT_CRAN")), "true")) (if (getRversion() >= "3.4") withAutoprint else force)(\{ # examplesIf}
library(r5r)

path <- system.file("extdata/poa", package = "r5r")

r5r_core <- setup_r5(path)

stop_r5(r5r_core)
\dontshow{\}) # examplesIf}
}
\seealso{
Other support functions: 
\code{\link{check_connection}()},
\code{\link{fileurl_from_metadata}()}
}
\concept{support functions}
